<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose provides an interface for adding new feeds, or uploading an OPML file 
 * @version $Revision: 545 $
 * $Id: add.php 545 2007-02-24 08:35:36Z kevbob $
 */

require_once("header.php");
 
// output menu at top of page
$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
$menu_view->render();


$url = (isset($_REQUEST['rss_url'])) ? $_REQUEST['rss_url'] : null;
$category_title = (isset($_REQUEST['rss_category'])) ? $_REQUEST['rss_category'] : null;
$category_id = (isset($_REQUEST['rss_category_id'])) ? $_REQUEST['rss_category_id'] : null;
$opml = (isset($_REQUEST['opml_url'])) ? $_REQUEST['opml_url'] : null;
$file = (isset($_REQUEST['opml_file'])) ? $_REQUEST['opml_file'] : null;
?>

<?php include("view/addfeed.php")?>

<br />
<form method="post" action="add.php" enctype="multipart/form-data">
	<fieldset id="importfeeds">
	<legend>Import Feeds</legend>
	<ul>
		<li>
			<label for="opml_url">OPML URL:</label>
			<input type="text" name="opml_url" id="opml_url" size="40" value="<?php echo $opml ?>" />
			<input type="Submit" value="Add feeds from OPML file on the Internet" class="buttonSubmit" />
			<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
		</li>
		<li>
			<label for="opml_filename">OPML filename:</label>
			<input type="file" name="opml_file" id="opml_file" size="40" value="<?php echo $file ?>" />
			<input type="Submit" value="Upload an OPML file" class="buttonSubmit" /><br/>
			<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
		</li>
	</ul>
   </fieldset>
</form>


<?php
if($url) {
	if(isset($category_title) && !empty($category_title))
	{
		$cat_model = FOF_ModelFactory::getCategoryModel();
   		$category =& $cat_model->findCategory($category_title);
	    if ( $category == false ) {
			$category =& $cat_model->create();
			$category->setTitle($category_title);
			$cat_model->save($category);
			$category_id = $category->getId();
	    }
    }
    fof_add_feed($url,$category_id);
}

if ( $opml ) {
	if ( !$content_array = file($opml) ) {
		echo "Cannot open $opml<br>";
		return false;
	}

	$content = implode("", $content_array);

	$feeds = fof_opml_to_array($content);
}

if ( isset($_FILES['opml_file']['tmp_name']) ) {
	if ( !$content_array = file($_FILES['opml_file']['tmp_name']) ) {
		echo "Cannot open uploaded file<br>";
		return false;
	}

	$content = implode("", $content_array);

	$feeds = fof_opml_to_array($content);
}

if (isset($feeds) and !empty($feeds)) {
   $cat_model = FOF_ModelFactory::getCategoryModel();
   
	foreach ($feeds as $feed) {
      $category_title = $feed[1];
      $category =& $cat_model->findCategory($category_title);
      if ( $category == false ) {
         $category =& $cat_model->create();
         $category->setTitle($category_title);
         $cat_model->save($category);
      }
      
		fof_add_feed($feed[0], $category->getId());
		echo "<hr size=1>";
		flush();
	}
}

?>

<?php include("footer.php"); ?>
