<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */
 
/**
 * @purpose provides a user interface for adding new categories 
 * @version $Revision: 546 $
 * $Id: addcategory.php 546 2007-02-25 07:57:33Z kevbob $
 */

require_once "init.php";



$error_flag = 0;
$category_title = null;

if( isset($_POST['category_title']) ) {
  
	 $category_title = $_POST['category_title'];
   $cat_model = FOF_ModelFactory::getCategoryModel();
   
   // see if category exists alread
   if ($cat_model->findCategory($_POST['category_title']) != false) {
      $error_flag = -1;
   }
   else {
      $category = $cat_model->create();
      $category->setTitle($_POST['category_title']);
      if (!$cat_model->save($category)) {
         $error_flag = 1;
      }
   }
}

 
$main_view = new CompositeView();

// add menu at top
$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
$main_view->addView($menu_view);

// add form
$form_view = new View(FOF_VIEW_DIR . DIR_SEP . '_add_cat_form.php');

$form_view->set('error_flag', $error_flag);
$form_view->set('category_title', $category_title);

$main_view->addView($form_view);

// get view of all layout and render it
$layout_view = fof_getLayoutView($main_view);
$layout_view->render();

