<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 * 
 */

/**
 * @purpose front controller for web services
 * @version $Revision$
 * $Id$
 */

// die early if it is not post method

// we do our own authentication, we don't 
// want the login redirect taking over
$FOF_NONSECURE_VIEW = true;

require_once 'init.php';

require_once FOF_DIR . 'lib/phpxmlrpc/xmlrpc.inc';
require_once FOF_DIR . 'lib/phpxmlrpc/xmlrpcs.inc';

// load method map and method implementations
require_once FOF_DIR . 'lib/api/rpc_map.php';
require_once FOF_DIR . 'lib/api/rpc_methods.php';

// taken from http://gggeek.altervista.org/sw/article_20060426.html without permission

if($_SERVER['REQUEST_METHOD'] != 'POST' || $_SERVER['CONTENT_TYPE'] == 'application/x-www-form-urlencoded')
{
   // on GET requests or requests generated by web forms, generate HTML docs
   require_once FOF_DIR . 'lib/phpxmlrpc/docxmlrpcs.inc';
   $server = new documenting_xmlrpc_server($GLOBALS['FOF_RPC_MAP'], false);

} else {

   // serve either jsonrpc or xmlrpc method calls: xmlrpc calls have a fixed
   // content-type of text/xml, while there is no consensus for jsonrpc...
   if (strpos($_SERVER['CONTENT_TYPE'], 'text/xml') === 0) {
      $server = new xmlrpc_server($GLOBALS['FOF_RPC_MAP'], false);
   } else {
      require_once FOF_DIR . 'lib/phpxmlrpc/jsonrpc.inc';
      require_once FOF_DIR . 'lib/phpxmlrpc/jsonrpcs.inc';
      $server = new jsonrpc_server($GLOBALS['FOF_RPC_MAP'], false);
      //print_r($GLOBALS['HTTP_RAW_POST_DATA']);
      
   }
}

//      print_r($GLOBALS['HTTP_RAW_POST_DATA']);
// execute server object which will parse input, execute method, and return result
//$server->setDebug(2);
$server->service();
