<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose provides an interface for editing a feeds properties. 
 * @version $Revision: 547 $
 * $Id: edit.php 547 2007-02-25 08:10:54Z kevbob $
 */

require_once "init.php";

// if form was submitted, perform operation then redirect to main page
if ( isset($_POST['feed']) ) {
   $feed_model = FOF_ModelFactory::getFeedModel();
   $cat_model  = FOF_ModelFactory::getCategoryModel();

   $feed =& $feed_model->fetch( $_POST['feed'] );
   
   $feed->setTitle( $_POST['rss_title'] );
   $feed->setLink($_POST['rss_link']);
   $feed->setUrl($_POST['rss_url']);
   $feed->setCategory($cat_model->fetch($_POST['category_id']));
   $feed->setLatitude(($_POST['rss_latitude'] != '') ? $_POST['rss_latitude'] : null );
   $feed->setLongitude(($_POST['rss_longitude'] != '') ? $_POST['rss_longitude'] : null );
   $feed->setAutoTag($_POST['auto_tag']);
   $feed->setUpdateEnabled($_POST['update_enabled']);
   $feed->setUpdateInterval(((int)$_POST['update_interval'] * 60));

   $feed_model->save($feed);

   $view = new RedirectView( FOF_BASE_URI );
	 $view->render();
   exit;

}
elseif ( isset($_POST['category']) ) {
	
   $cat_model = FOF_ModelFactory::getCategoryModel();
   
   $category = $cat_model->fetch($_POST['category']);

   // update title and save the category instance back to the model
   $category->setTitle($_POST['category_title']);
   $cat_model->save($category);

   // redirect back to index view
   
	 $view = new RedirectView( FOF_BASE_URI );
	 $view->render();
   exit;
}


$main_view = new CompositeView();
$main_view->addView(new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'));


if(isset($_REQUEST['feed']))
{
   $feed_model = FOF_ModelFactory::getFeedModel();
   
	 $feed = $feed_model->fetch( $_REQUEST['feed'] );
   $category = $feed->getCategory();

	 $form_view = new View(FOF_VIEW_DIR . DIR_SEP . '_edit_feed_form.php');
	 $form_view->set('feed', $feed);
	 $form_view->set('category', $category);
	 $form_view->set('opts', $opts);
	 $main_view->addView($form_view);

}
else if(isset($_REQUEST['category'])) 
{
   $cat_model = FOF_ModelFactory::getCategoryModel();
   
   $category = $cat_model->fetch($_REQUEST['category']);

	 $form_view = new View(FOF_VIEW_DIR . DIR_SEP . '_edit_cat_form.php');
	 $form_view->set('category', $category);
	 $main_view->addView($form_view);

}

$layout_view = fof_getLayoutView($main_view);
$layout_view->render();

