<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose sidebar list of all feeds, and controls for viewing, updating, or deleting feeds.
 * @version $Revision: 546 $
 * $Id: feeds.php 546 2007-02-25 07:57:33Z kevbob $
 */

require_once "init.php";


//$order = (isset($_GET['order'])) ? $_GET['order'] : 'title';
$order = 'title';  // currently, only db fields are valid for sorting.
$direction = (isset($_GET['direction'])) ? $_GET['direction'] : 'asc';

// perform search for feeds
// the search is also responsible for sorting the results
$feed_model = FOF_ModelFactory::getFeedModel();

$feedsearch = $feed_model->getDefaultSearch();
$feedsearch->setSortColumn($order);
$feedsearch->setSortDirection($direction);

$feeds = $feed_model->search($feedsearch);

$unreadCount = $feed_model->getTotalFlagItems(FOF_UNREAD_FLAG);

// custom build a layout view because we do not want to use the normal page footer
$layout_view = new CompositeView();

$head_view = fof_getHeaderView();

$layout_view->addView($head_view);

$feedlist_view = new View(FOF_VIEW_DIR.DIR_SEP.'lists'.DIR_SEP.'frame_feedlist.php');
$feedlist_view->set('feeds', $feeds);
$feedlist_view->set('unreadCount', $unreadCount);
$feedlist_view->set('opts', $opts);
$feedlist_view->set('view', $view);

$layout_view->addView($feedlist_view);
$layout_view->render();
