/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fof.js - javascript source file
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Copyright (C) 2004 Stephen Minutillo
 * steve@minutillo.com - http://minutillo.com/steve/
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose provides javascript functionality for marking items read/unread
 * @version $Revision: 541 $
 * $Id: fofr.js 541 2006-10-16 05:25:29Z kevbob $
 */

function addEvent(obj, evType, fn){ 
	if (obj.addEventListener){ 
		obj.addEventListener(evType, fn, false); 
		return true; 
	} else if (obj.attachEvent){ 
		var r = obj.attachEvent("on"+evType, fn); 
		return r; 
	} else { 
		return false; 
	} 
}

function flag_upto(id)
{
	elements = document.items.elements;

	for(i=0; i<elements.length; i++)
	{
		elements[i].checked = true;

		if(elements[i].name == id)
		{
			break;
		}
	}
}
function flag_save(id, value)
{
	elements = document.items.elements;

    for(i=0; i<elements.length; i++)
	{

		if(elements[i].name == id)
		{
    		elements[i].checked = true;
		}
	}

	document.items['action'].value = value;
	document.items['return'].value = escape(location);
	document.items.submit();
}

function flag_all()
{
	elements = document.items.elements;

	for(i=0; i<elements.length; i++)
	{
		elements[i].checked = true;
	}
}

function unflag_all()
{
	elements = document.items.elements;

	for(i=0; i<elements.length; i++)
	{
		elements[i].checked = false;
	}
}

function mark_read()
{
	document.items['action'].value = 'read';
	document.items['return'].value = escape(location);
	document.items.submit();
}

function mark_unread()
{
	document.items['action'].value = 'unread';
	document.items['return'].value = escape(location);
	document.items.submit();
}

function update_tags()
{
	document.items['action'].value = '';
	document.items['return'].value = escape(location);
	document.items.submit();
}

function remove_tag(item_id, tag_id)
{
   document.items['action'].value = 'remove_tag';
	document.items['return'].value = escape(location);
	document.items['item'].value = item_id;
	document.items['tag'].value = tag_id;
	
	document.items.submit();
}

function test_ping_server()
{
     var response = test_ping();
     alert(response);
}
