<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose provide generic commands to the install controller
 *
 * @version $Revision$
 * $Id: install_helper.php 507 2006-08-25 04:59:28Z kevbob $
 */

require_once 'model/ddl/base.php';


/**
 * 
 */
function fof_getGenericInstallCommands()
{
	$commands = array();
   $commands[] = new FOF_CacheCreateCommand(null);
   $commands[] = new FOF_XMLParserCheck(null);

   return new FOF_ArrayIterator($commands);
}


class FOF_CacheCreateCommand extends FOF_Command
{

   var $commandName = 'prepare cache dir';
	
   function execute()
   {
   	$cacheDir = FOF_DIR . DIR_SEP . 'cache';
      
      if ( !file_exists( $cacheDir ) ) {
         $status = @mkdir( $cacheDir, 0755 );
   
         if ( !$status ) {
            $this->message = "create error, please create directory <code>$cacheDir</code>";
            return false;
         }
      }
   
      if ( !is_writable($cacheDir) ) {
         $this->message = "insufficient permissions, please chmod 777 directory <code>$cacheDir</code>";
         return false;
      }

      $this->message = 'ok';
      return true;   	
   }
}


class FOF_XMLParserCheck extends FOF_Command
{

   var $commandName = 'xml parser check';
   
   function execute()
   {

      if ( substr(phpversion(),0,1) == 5) {
         $this->message = "<b>PHP5 parser detected</b>, using native encoding";
      }
      else {
         if(function_exists('iconv'))
         {
            $this->message =  "<b>PHP4 parser detected</b>, using iconv for encoding";
         }
         else if(function_exists('mb_convert_encoding'))
         {
            $this->message =  "<b>PHP4 parser detected</b>, using mbstring for encoding";
         }
         else
         {
            $this->message = "<b>PHP4 parser detected</b>, Only UTF-8, ISO-8859-1, and US-ASCII feeds are supported, please install iconv extension.";
            return false;
         }
      }
      return true;

   }
}
