<?php

/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


/**
 * @purpose provide install/uninstall helpers to the model classes
 * @version $Revision: 296 $
 * $Id: base.php 506 2006-08-25 04:38:21Z kevbob $
 */

$GLOBALS['FOF_DB_DICTIONARY'] = null;


class FOF_BaseDDLHelper
{
   var $model;
   var $tables;

   function FOF_BaseDDLHelper( $model )
   {
      $this->model = $model;
      $this->refreshTables();
   }


   function getDataDictionary()
   {
      if (is_null($GLOBALS['FOF_DB_DICTIONARY'])) {
         $db = $this->model->getDB();
         $GLOBALS['FOF_DB_DICTIONARY'] =& NewDataDictionary( $db );
      }
      return $GLOBALS['FOF_DB_DICTIONARY'];
   }


   function getTables()
   {
      return $this->tables;
   }
   
   /**
    * refresh local cache of tables data structure
    * 
    */
   function refreshTables()
   {
      $dd = $this->getDataDictionary();
      
      $this->tables = $dd->MetaTables();
   }

   /**
    * 
    * @param void
    * @return array of FOF_Command
    */
   function getCommands()
   {
      die( "must override FOF_BaseDDLHelper::getCommands()");
   }
}

/**
 * base class for all commands
 * 
 */
class FOF_Command
{
   var $helper;
   var $message;
   var $commandName = "base command";
   
   function FOF_Command( $helper )
   {
      $this->helper = $helper;
      $this->message = "not run yet";
   }
   
   /**
    * execute the operation.  
    * 
    * @param void
    * @return boolean  true = success, false = fail
    */
   function execute()
   {
      die( "must override FOF_Command::execute()");
   }

   /**
    * 
    * @param void
    * @return string
    */
   function getMessage()
   {
      return sprintf( "%s: %s", $this->commandName, $this->message);
   }
}

