<?php

/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


/**
 * @purpose provide install/uninstall helpers to the category model
 * @version $Revision: 296 $
 * $Id: base.php 466 2006-06-28 01:01:51Z kevbob $
 */

require_once 'base.php';


class FOF_CategoryDDLHelper extends FOF_BaseDDLHelper
{
   function getCommands()
   {
      $commands = array();
      $commands[] = new FOF_CreateCategoryTable($this);
      $commands[] = new FOF_AddDefaultCategory($this);

      return new FOF_ArrayIterator($commands);
   }
}


class FOF_CreateCategoryTable extends FOF_Command
{
	var $commandName = 'category table create';

   var $table_def = "
   id I AUTO KEY,
   title C(250) NOTNULL,
   description C(250)";
   

   function execute()
   {
      $dd = $this->helper->getDataDictionary();
      $tables = $this->helper->getTables();

      if (!in_array(FOF_CATEGORY_TABLE, $tables)) {
   
         $catTableSQL = $dd->CreateTableSQL(FOF_CATEGORY_TABLE,$this->table_def);
      
         $val = $dd->ExecuteSQLArray($catTableSQL);
      
         if ($val) {
      	   $this->message = 'table created';
           
            // refresh table list
            $this->helper->refreshTables();
         }
         else {
      	
            $this->message = "create failed, " . $dd->connection->ErrorMsg();
            return false;
         }
      } else {
         $this->message = 'table exists';
      }
      
      return true;
   }
}


class FOF_AddDefaultCategory extends FOF_Command
{
	
   var $commandName = 'add default category';
   
   function execute()
   {
   	$cat_model = $this->helper->model;
      
      $category = $cat_model->fetchDefaultCategory();
      
      if ($category->getId() == -1) {
      	$cat_model->save($category);
         $this->message = 'created category: ' . $category->getTitle();
      }
      else {
      	$this->message = 'category exists';
      }
      return true;
   }
}

