<?php

/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


/**
 * @purpose provide install/uninstall helpers for the user model
 * @version $Revision$
 * $Id$
 */

require_once 'base.php';


/**
 * helper class for user table
 */
class FOF_UserDDLHelper extends FOF_BaseDDLHelper
{

   function getCommands()
   {
      $commandArray = array();
      $commandArray[] = new FOF_CreateUserTable($this);
      return new FOF_ArrayIterator($commandArray);
   }
}

/**
 * create user table command
 * if table exists, do nothing
 * 
 */
class FOF_CreateUserTable extends FOF_Command
{
   var $table_def = "
   id I AUTO KEY,
   username C(250) NOTNULL DEFAULT '',
   password C(250) NOTNULL DEFAULT '',
   email C(250),
   admin I1 DEFAULT 0,
   date_added TIMESTAMP,
   date_changed TIMESTAMP
   ";
   
   var $commandName = "user table create";

   function execute()
   {
      $dd = $this->helper->getDataDictionary();
      $tables = $this->helper->getTables();
      
      if (!in_array(FOF_USERS_TABLE,$tables)) {
   
         $usersTableArray = $dd->CreateTableSQL(FOF_USERS_TABLE, $this->table_def);
 
         $val = $dd->ExecuteSQLArray($usersTableArray);
         if ($val) {
            $this->message = "table created";
            
            // refresh table list
            $this->helper->refreshTables();

         } else {
            $this->message = "create failed, " . $dd->connection->ErrorMsg();
            return false;
         }
      } else {
         $this->message = "table exists";

      }
      return true;
   }
}

