<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


/**
 * @purpose represent a feed search/filter within the system
 * @version $Revision: 296 $
 * $Id: feed_search.php 493 2006-08-09 13:08:12Z kevbob $
 */


class FOF_FeedSearch
{
   
   // flag to only show unread feeds in the output
   var $unreadOnly;
   var $sortCol;
   var $sortDirection;
   
   // flag to only show updatable feeds
   var $updatableOnly;
   var $category;
   
   function FOF_FeedSearch()
   {
      // set defaults
      $this->unreadOnly = false;
      $this->sortColumn = 'title';
      $this->sortDirection = 'ASC';
      $this->updatableOnly = false;
      $this->category = null;

   }

   function setUnreadOnly()
   {
      $this->unreadOnly = true;
   }
   
   function clearUnreadOnly()
   {
      $this->unreadOnly = false;
   }
   
   function isUnreadOnly()
   {
      return $this->unreadOnly;
   }

   function setSortColumn($columnName)
   {
      $this->sortColumn = $columnName;
   }
   
   function getSortColumn()
   {
      return $this->sortColumn;
   }
   
   function setSortDirection( $direction )
   {
      $this->sortDirection = $direction;
   }
   
   function getSortDirection()
   {
      return $this->sortDirection;
   }
   

   function setUpdatableOnly()
   {
   	$this->updatableOnly = true;
   }
   
   function isUpdatableOnly()
   {
   	$this->updatableOnly;
   }
   
   function setCategory( $id )
   {
   	$this->category = $id;
   }
   
   function getCategory()
   {
   	return $this->category;
   }
}

