<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


/**
 * @purpose provide common iterator for all models
 *          It expects the object passed as the model to implement
 *          the row2instance() method to tranlate the query row into
 *          an object instance returned by the iterator
 * @version $Revision: 296 $
 * $Id: iterator.php 493 2006-08-09 13:08:12Z kevbob $
 */

require_once FOF_DIR . 'lib/util/iterator.class.php';


class FOF_ModelIterator extends FOF_Iterator
{
   var $rs;
   var $model;
   
   function FOF_ModelIterator( $result, $model )
   {
      parent::FOF_Iterator();
      $this->rs = $result;
      $this->model = $model;
   }
   
   function rewind()
   {
      parent::rewind();
   }
   
   function _getNextItem()
   {
      $row = $this->rs->FetchRow();

      if ($row == false) {
         $this->rs->Close();

         return false;
      }
      $modelObject = $this->model->row2instance($row);
      return $modelObject;
   }
}

