<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Copyright (C) 2004 Stephen Minutillo
 * steve@minutillo.com - http://minutillo.com/steve/
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose marks a single item or all items in a feed as read
 * @version $Revision: 546 $
 * $Id: mark-read.php 546 2007-02-25 07:57:33Z kevbob $
 */

require_once "init.php";

$item_model = FOF_ModelFactory::getItemModel();

$redir_uri = (isset($_GET['redir'])) ? $_GET['redir'] : '';

$main_view = null;

if ( isset($_GET['item']) and !empty($_GET['item'])) {

   $item = $item_model->fetch( $_GET['item'] );
   $item->setFlag(FOF_READ_FLAG);
   $item_model->save($item);

	$main_view = new NoContentView();

}

elseif( isset($_GET['feed']) and !empty($_GET['feed']))
{

   $item_search = $item_model->getDefaultSearch();
   $item_search->setFeed((int)$_GET['feed']);
   $item_search->setOffset(0);
   $item_search->setFlag(FOF_UNREAD_FLAG);
   $item_search->setLimit(0);
   
   $item_iterator = $item_model->search($item_search);
   $item_iterator->rewind();
   
   // loop through each matching item and set flag to read
   while ($item_iterator->valid()) {
      $item = $item_iterator->current();
      $item_iterator->next();
      $item->setFlag(FOF_READ_FLAG);
      $item_model->save($item);
   }

	$main_view = new RedirectView( FOF_BASE_URL . $redir_uri );
}
else {
	$main_view = new RedirectView( FOF_BASE_URL . $redir_uri );
}

$main_view->render();
