<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose generates an opml file of all the currently subscribed feeds.
 * @version $Revision: 469 $
 * $Id: opml.php 469 2006-07-03 08:29:53Z kevbob $
 * 
 * @todo add support for generating opml files based on category or tag 
 */
	

require_once("init.php");
header("Content-Type: text/xml; charset=utf-8");

echo '<?xml version="1.0"?>';
?>

<opml>
  <body>
<?php

$feed_model = FOF_ModelFactory::getFeedModel();

$feedsearch = $feed_model->getDefaultSearch();

$feeds = $feed_model->search($feedsearch);
$feeds->rewind();

while ($feeds->valid()) {
   $feed = $feeds->current();
   
   $url = htmlspecialchars($feed->getUrl());
   $title = htmlspecialchars($feed->getTitle());
   $link = htmlspecialchars($feed->getLink());
   $category = $feed->getCategory();
   $category_title = htmlspecialchars($category->getTitle());

   echo <<<HEYO
    <outline htmlurl="$link"
             text="$title"
             xmlUrl="$url"
             category="$category_title"
    />

HEYO;

   $feeds->next();
}

?>
  </body>
</opml>