<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * options.php - user configuration
 *
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * FeedOn Feeds Copyright (C) 2004 Stephen Minutillo
 * steve@minutillo.com - http://minutillo.com/steve/
 *
 * Distributed under the GPL - see LICENSE
 *
 */

require_once "init.php";


if (isset($_POST['submit_options'])) {
	/* 29.04.06 / eroth
	*	changed saving of data:
	*	...to handle checkboxes, instead of yes/no
	*	...to only update when the setting is changed...less trips to database
	*/
	
	if ($opts->get('page.posts_per') != $_POST['posts_per_page'])
		$opts->set("page.posts_per", $_POST['posts_per_page']);
	if ($opts->get('global.keep_days') != $_POST['keepdays'])
		$opts->set("global.keep_days", $_POST['keepdays']);
	if ($opts->get('global.time_offset') != $_POST['time_offset'])
		$opts->set("global.time_offset", $_POST['time_offset']);
	if (isset($_POST['show_images']) && ($opts->get('items.display_feed_images') == 0)){
		$opts->set("items.display_feed_images", 1);
	}elseif (!isset($_POST['show_images']) && ($opts->get('items.display_feed_images') == 1)){
		$opts->set("items.display_feed_images", 0);
	}
	if (isset($_POST['enable_gzip']) && ($opts->get('global.gzip_output') == 0)){
		$opts->set("global.gzip_output", 1);
	}elseif (!isset($_POST['enable_gzip']) && ($opts->get('global.gzip_output') == 1)){
		$opts->set("global.gzip_output", 0);
	}
   
   if (isset($_POST['enable_variable_updates']) && ($opts->get('feeds.enable_variable_updates') == 0)){
      $opts->set("feeds.enable_variable_updates", 1);
   }elseif (!isset($_POST['enable_variable_updates']) && ($opts->get('feeds.enable_variable_updates') == 1)){
      $opts->set("feeds.enable_variable_updates", 0);
   }
   
   
	if (isset($_POST['list_only_unread']) && ($opts->get('feeds.list_only_unread') == 0)){
		$opts->set("feeds.list_only_unread", 1);
	}elseif (!isset($_POST['list_only_unread']) && ($opts->get('feeds.list_only_unread') == 1)){
		$opts->set("feeds.list_only_unread", 0);
	}
	if (isset($_POST['sort_cache_time']) && ($opts->get('items.sort_cache_time') == 0)){
		$opts->set("items.sort_cache_time", 1);
	}elseif (!isset($_POST['sort_cache_time']) && ($opts->get('items.sort_cache_time') == 1)){
		$opts->set("items.sort_cache_time", 0);
	}
	 
	 $view = new RedirectView( FOF_BASE_URI );
	 $view->render();
   exit;
}


$main_view = new CompositeView();

$main_view->addView(new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'));

$form_view = new View( FOF_VIEW_DIR.DIR_SEP.'_options_form.php');
$form_view->set('opts', $opts);

$main_view->addView($form_view);


$layout_view = fof_getLayoutView($main_view);
$layout_view->render();
