<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose generates the control panel for updating, editing, deleting, or selecting
 * feeds.
 * @version $Revision: 512 $
 * $Id: panel.php 512 2006-08-28 17:25:06Z nilspace $
 */

$view = "panel";

require_once("header.php");

// output menu at top of page
$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
$menu_view->render();

// output add feed form
$addfeed_view = new View( FOF_VIEW_DIR . DIR_SEP . 'addfeed.php'  );
$addfeed_view->render();

?>

<hr/>

<table id="feeds" cellspacing="0" cellpadding="0">
	<thead>
	<tr class="mainheader">
		<th>Feed Name</th>
		<th>Feed url</th>
		<th width="75" style="text-align:center">Edit feed</th>
		<th width="75" style="text-align:center">Delete Feed</th>
	</tr>
	</thead>
	<tr class="categoryheader">
		<td colspan="4">Animation <a href="#">(edit)</a></td>
	</tr>
	<tbody>
<?php

$feed_model = FOF_ModelFactory::getFeedModel();

$feedsearch = $feed_model->getDefaultSearch();
$feeds = $feed_model->search($feedsearch);
$feeds->rewind();

$count = 0;
while ( $feeds->valid() ) {

   $feed = $feeds->current();
   $feeds->next();

	$id = $feed->getId();
	$url = $feed->getUrl();
	$title = stripslashes($feed->getTitle());
	$link = $feed->getLink();
	$description = $feed->getDescription();

	$unread = $feed->getUnreadItemCount();
	$items = $feed->getTotalItemCount();
	list($agestr) = fof_rss_age_string(time() - $feed->getLastRssUpdate());

	$latitude = $feed->getLatitude();
	$longitude = $feed->getLongitude();

	$category = $feed->getCategory();
   $category_id = $category->getId();
   $category_title = $category->getTitle();
   
   // skip if we should not display this row
   if (($opts->get('feeds.list_only_unread') == 1)
       and $unread == 0) {
         continue;
   }

         
   if($count % 2){
		print "<tr class=\"even-row\">";
	}else{
		print "<tr>";
	}

	$u = "view.php?feed=$id";

	if($unread){
//		print "<td>&nbsp;&nbsp;(<a class=\"unread\" href=\"$u\">$unread new</a> / ";
	}else{
//		print "<td>&nbsp;&nbsp;(0 new / ";
	}

//	print "<a href=\"$u&amp;what=all\">$items</a>)</td>";
	print "<td>&nbsp;&nbsp;" . fof_render_feed_link($feed) . "</td>\n";
	// category display
	print "<td><div class=\"category_link\"><a href='view.php?category=$category_id'>$category_title</a></div></td>\n";

	    // location display
		if(($latitude != NULL && $longitude != NULL)
		   && ($latitude != 0 && $longitude != 0) ){
		//	print "<td>&nbsp;&nbsp;<a href='map.php?feed=$id'>$latitude x $longitude</a></td>";
		}else{
		//	print "<td>&nbsp;</td>";
		}
//		print "<td>&nbsp;&nbsp;<a href=\"mark-read.php?feed=$id\">mark</a></td>";
		print "<td>&nbsp;&nbsp;<a href=\"edit.php?feed=$id\"><img class='cellbtn' src='view/images/icons/page_white_edit.png' alt='edit' title='edit' width='16' height='16' /></a></td>\n";
		print "<td>&nbsp;&nbsp;<a href=\"delete.php?feed=$id\" onclick=\"return confirm('Are you sure you want to delete the " . $title . " feed?')\"><img class='cellbtn' src='view/images/icons/delete.png' alt='delete' title='delete' width='16' height='16' /></a></td>\n";
	
		print "</tr>\n";
		$count++;
}
?>
</tbody>

</table>
<?php include("footer.php"); ?>
