<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose generates RSS and Atom feeds of items
 * @version $Revision: 546 $
 * $Id: rss.php 546 2007-02-25 07:57:33Z kevbob $
 */

/* begin preamble - gets all the input parameters */
require_once 'init.php';

require_once( FOF_DIR . "feedcreator/feedcreator.class.php");

header("Content-Type: text/xml; charset=utf-8");

$item_model = FOF_ModelFactory::getItemModel();

$item_search = fof_request2search($_GET);
$items = $item_model->search($item_search);
$items->rewind();

$feedCreator = new UniversalFeedCreator();
$feedCreator->useCached();
$feedCreator->title = fof_view_title($item_search);


while ( $items->valid() ) {

   $in_item = $items->current();
   $items->next();

   $in_feed = $in_item->getFeed();

   $out_item = new FeedItem();
   $out_item->title = $in_item->getTitle();
   $out_item->link = $in_item->getLink();
   $out_item->description = $in_item->getContent();
   $out_item->date = $in_item->getPublishTime();
   $out_item->author = $in_item->getCreator();

   $out_item->image = $in_feed->getRssImage();
   if ($in_item->getLatitude() != "") {
      $out_item->lat = $in_item->getLatitude();
      $out_item->long = $in_item->getLongitude();
   }
   else {
      $out_item->lat = $in_feed->getLatitude();
      $out_item->long = $in_feed->getLongitude();
   }
   $out_item->source = $in_feed->getTitle();

   $feedCreator->addItem($out_item);

}

if (isset($_GET['type'])) {
	$feed_type = $_GET['type'];
}
else {
	$feed_type =  null;
}

/**
 * NOTE the saveFeed method also outputs the created feed.
 *      no additional view rendering needed.
 * 
 */
switch ($feed_type) {
   case 'atom':
      $feedCreator->saveFeed("ATOM", FOF_CACHE_DIR ."/feed.atom.xml", true);
      break;
   case 'rss1':
      // includes GeoRSS
      $feedCreator->saveFeed("RSS1.0", FOF_CACHE_DIR ."/feed.rss1.xml", true);
      break;
   case 'rss2':
      $feedCreator->saveFeed("RSS2.0", FOF_CACHE_DIR ."/feed.rss2.xml", true);
      break;
   default:
      $feedCreator->saveFeed("RSS1.0", FOF_CACHE_DIR ."/feed.rss1.xml", true);   
}
