<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * tags.php - form to manage tags
 *
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

require_once "init.php";


//perform form input actions before redisplaying form.

$tag_model = FOF_ModelFactory::getTagModel();

if (isset($_POST['add_tag'])
    and isset($_POST['tag_name'])
    and $_POST['tag_name'] != '') {
  // perform action when adding a tag
   $tag = $tag_model->create();
   $tag->setName($_POST['tag_name']);
   $tag_model->save($tag);
	unset( $_POST['tag_name'] );
} elseif (isset($_POST['rename_tag'])
          and isset($_POST['selected_tag'])
          and isset($_POST['tag_name'])
          and $_POST['tag_name'] != '') {
           
   // perform action when renaming a tag
   $tag = $tag_model->fetch($_POST['selected_tag']);
   $tag->setName($_POST['tag_name']);
   $tag_model->save($tag);
	unset( $_POST['tag_name'] );
} elseif (isset($_POST['delete_tag'])
          and isset($_POST['selected_tag'])) {
   // perform action when deleting a tag
   $tag = $tag_model->fetch($_POST['selected_tag']);
   $tag_model->remove($tag);
	unset( $_POST['tag_name'] );
}

// create and for this page

$main_view = new CompositeView();

$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
$main_view->addView($menu_view);

$form_view = new View( FOF_VIEW_DIR . DIR_SEP . '_tags_form.php'  );
$form_view->set('tag_iterator', $tag_model->getTags());
$form_view->set('selected_tag', (isset($_POST['selected_tag'])) ? $_POST['selected_tag'] : -99);

$main_view->addView($form_view);

// wrap our main view in the default layout (header and footer)
$layout_view = fof_getLayoutView($main_view);
$layout_view->render();


