<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

require_once('tests_common.inc.php');

define('FOF_TEST_REPORT', true);

// prepare test group for running
$test = new GroupTest('All FoF Redux Tests');

// all test cases should be written to separate files, then added to the
// the test group like this:
// require_once('my_test_case.php');
// $test->addTestClass('MyTestCase');


// test case for fof_sanitize_content()
require_once('test_sanitize_content.php');
$test->addTestClass('SanitizeContentTestCase');

require_once('test_content_url_rewrite.php');
$test->addTestClass('ContentURLRewriteTC');

require_once('test_misc_item_reformat.php');
$test->addTestClass('MiscItemReformatTestCase');

require_once('test_rss_model.php');
$test->addTestClass('StrToTimeTestCase');


require_once('test_search_filters.php');
$test->addTestClass('SimpleFiltersTestCase');

require_once('test_rss_item.php');
$test->addTestClass('AtomFeed1TestCase');

// execute all test cases in the group
// report output as html
$test->run(new HtmlReporter());
