<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2006 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

require_once('tests_common.inc.php');
require_once(FOF_DIR . 'lib/model/rss.php');


/**
 *
 * @author Kevin Bennett <kev@drule.org>
 */
class AtomFeed1TestCase extends UnitTestCase
{

   var $testFeed;

   function setUp()
   {
      $rss = new MagpieRSS( file_get_contents(FOF_DIR . 'tests/data/test_feed1.xml')  );	
      $this->testFeed = new FOF_RssFeed($rss, 'file:///tests/data/test_feed1.xml');
   }
   
   function tearDown()
   {
   	$this->testFeed = null;
      
   }

   function testGetFeedLink()
   {
   	
      $feedLink = $this->testFeed->getLink();

   	$this->assertEqual("http://www.savagechickens.com/blog/index.html", $feedLink, 'feed link not as expected');
   }

   function testGetItemHash()
   {
   	// get individual values from item
      $item = $this->testFeed->rss->items[0];

      $i_link = $item['link'];
      $i_title = $item['title'];
      $i_content = $item['content']['encoded'];
      $i_hash_input = $i_link . $i_title;
      $i_hash = sha1($i_hash_input);
      
      $itemObj = new FOF_RssItem($item, $this->testFeed);
      
      $this->assertEqual($i_hash, $itemObj->getUniqueHash());
   }

}





// if we are not included in another test runner
// run above test case and output an HTML report
if (!defined('FOF_TEST_REPORT')) {
	$test = new AtomFeed1TestCase();

	$test->run(new HtmlReporter());

}


