<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


require_once('tests_common.inc.php');


/**
 *
 * @author Kevin Bennett <kev@drule.org>
 */
class StrToTimeTestCase extends UnitTestCase
{

	function testDCDateBoingPHP()
	{
		$indate = '2006-04-09T15:05:02-08:00';
		$outTime = strtotime($indate);
	
		$this->assertEqual($outTime,1144623902);	
	}
	
	function testDCDateEngadgetPHP()
	{
		$indate = '2006-04-07T11:19:35+00:00';
		
		$outTime = strtotime($indate);
		$this->assertEqual($outTime,1144408775);
	}
		
	function testIssuedMoMBPHP()
	{
		$indate = '2006-04-07T15:01:00-05:00';
		$outTime = strtotime($indate);
		$this->assertEqual($outTime,1144440060);
	}
	
	function testIssuedORPHP()
	{
		$indate = '2006-04-07T16:25:27Z';
		
		$outTime = strtotime($indate);
		$this->assertEqual($outTime,1144427127);
	}
	   
   function testPubdateSweatPHP()
	{
		$indate = 'Wed, 02 Nov 2005 13:57:05 +0000';
		
		$outTime = strtotime($indate);
		$this->assertEqual($outTime,1130939825 );
	}
	   
	function testPubdateJavalobbyPHP()
	{
		$indate = 'Tue, 04 Apr 2006 08:34:25 -0400';
		$outTime = strtotime($indate);
		$this->assertEqual($outTime,1144154065 );
	}
   
}





// if we are not included in another test runner
// run above test case and output an HTML report
if (!defined('FOF_TEST_REPORT')) {
	$test = new StrToTimeTestCase();

	$test->run(new HtmlReporter());

}


