<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */


require_once('tests_common.inc.php');
require_once( FOF_DIR . 'lib/model/item_search.php');
require_once( FOF_DIR . 'lib/model/item.php');

/**
 *
 * @author Kevin Bennett <kev@drule.org>
 */
class SimpleFiltersTestCase extends UnitTestCase
{
   function testItemSearchSortOrder()
   {
      $sch = new FOF_ItemSearch();
            
      $this->assertEqual($sch->getSortOrder(), null);
      
      $sch->setSortOrder('DESC');
      $this->assertEqual($sch->getSortOrder(), 'DESC');
   }

   function testItemSearchSortCol()
   {
      $sch = new FOF_ItemSearch();
            
      $this->assertEqual($sch->getSortField(), null);
      
      $sch->setSortField('publish_time');
      $this->assertEqual($sch->getSortField(), 'publish_time');
   }
   
   function testEqualsFilter()
   {
      $filt = new FOF_EqualFilter('flag', 2);
   }

   function testComplexFilter()
   {
      $search = new FOF_ItemSearch();
      
      $search->addFilter(new FOF_EqualFilter('category', 3));
      $flagFilter = new FOF_OrCompositeFilter('root');
      $flagFilter->addFilter(new FOF_EqualFilter('flag', FOF_UNREAD_FLAG));
      $flagFilter->addFilter(new FOF_EqualFilter('flag', FOF_SAVED_FLAG));
      
      $search->addFilter($flagFilter);

   }
	
}




// if we are not included in another test runner
// run above test case and output an HTML report
if (!defined('FOF_TEST_REPORT')) {
	$test = new SimpleFiltersTestCase();

	$test->run(new HtmlReporter());

}

