<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Copyright (C) 2004 Stephen Minutillo
 * steve@minutillo.com - http://minutillo.com/steve/
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose updates all feeds without producing output
 * @version $Revision: 485 $
 * $Id: update-quiet.php 485 2006-07-28 01:21:39Z kevbob $
 */

// suppress writing output
ob_start();

require_once "init.php";


$feed_model = FOF_ModelFactory::getFeedModel();

$feedsearch = $feed_model->getDefaultSearch();


$feeds = $feed_model->search($feedsearch);
$feeds->rewind();

while ( $feeds->valid() ) {
   $feed = $feeds->current();
   $feeds->next();
   
   if ($opts->get('feeds.enable_variable_updates') == 1) {


      // check if current feed is updatable
      $update_interval = (is_null($feed->getUpdateInterval())) ? $opts->get('feeds.default_update_interval') :  $feed->getUpdateInterval();

      $last_update = (is_null($feed->getLastRssUpdate())) ? 0 : $feed->getLastRssUpdate();

      if ((time() - $last_update) > $update_interval ) {
         fof_update_feed($feed);
      }
   }
   else {
   	fof_update_feed($feed);
   }
}


// empty output buffer, contents are discarded
ob_end_clean();
?>
