<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose Updates all feeds with new items and provides feedback on the status of each update.
 * @version $Revision: 502 $
 * $Id: update.php 502 2006-08-15 08:37:40Z kevbob $
 */

if(isset($_GET['view']))
    $view = $_GET['view'];
    
// seperate "if" statement in case this file was included
//  with another php file that already defined "view"
if(!isset($view))
	$view = "panel";

if($view=="frames")
{
	ob_start();
}
require_once 'header.php';

// output menu at top of page
$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
$menu_view->render();

?>
<br/>
<table id="feeds" cellspacing="0" cellpadding="0" width="50%">
	<thead>
		<tr>
			<td colspan="3">Updating Feeds</td>
		</tr>
	</thead>
	<tbody>
<?php

$feed_id = (isset($_GET['feed'])) ? $_GET['feed'] : null;


$feed_model = FOF_ModelFactory::getFeedModel();

if (!is_null($feed_id)) {
   $feed = $feed_model->fetch($feed_id);
   $feedArr = array($feed);
   $feeds = new FOF_ArrayIterator( $feedArr );
}
else {
   $feedsearch =& $feed_model->getDefaultSearch();
   if ($opts->get('feeds.enable_variable_updates') == 1) {
   	$feedsearch->setUpdatableOnly();
      
      $all_feeds = $feed_model->search($feedsearch);
      $updatable = array();
      $all_feeds->rewind();
      while ($all_feeds->valid()) {
      	$curFeed = $all_feeds->current();
         $all_feeds->next();
         
         // check if current feed is updatable
         $update_interval = (is_null($curFeed->getUpdateInterval())) ? $opts->get('feeds.default_update_interval') :  $curFeed->getUpdateInterval();
         
         $last_update = (is_null($curFeed->getLastRssUpdate())) ? 0 : $curFeed->getLastRssUpdate();
         if ((time() - $last_update) > $update_interval ) {
         	//matched criteria now add to updatable list
            $updatable[] = $curFeed;
         }
      }
      $feeds = new FOF_ArrayIterator($updatable);
   }
   else {
      $feeds = $feed_model->search($feedsearch);
   }
}

$feeds->rewind();
$rowNumber = 0;
while ( $feeds->valid() ) {
   $feed =& $feeds->current();
   $feeds->next();
   
	$title = $feed->getTitle();

	if($rowNumber % 2)
	{
		print "<tr class=\"even-row\">";
	}
	else
	{
		print "<tr>";
	}
	print "<td>";
	
	print "Updating <b>$title</b>...</td>";

	$count = fof_update_feed($feed);
   $id = $feed->getId();

	if ($count >= 0) {
		print "<td>done.</td> ";
		print "<td><b><font color=red><a href=\"view.php?feed=$id\">$count new items</a></font></b></td>";
		
	}
	elseif ($count == -2) {
		print "updates disable for this feed.";
	}

	print "</tr>";
	$rowNumber++;

}
?>
	</tbody>
</table>
<?php
if ( $feed_id ) {
	print "<ul>";
	print "<li><a href=\"view.php?feed=$feed_id\">View new items</a></li>";
	print "<li><a href=\"view.php?feed=$feed_id&what=all\">View all items</a></li>";
	print "<li><a href=\"view.php?feed=$feed_id&what=all&when=today\">View today's items</a></li>";
	print "</ul>";
}

if ( $view == "frames" ) {
	ob_end_clean();
	header("Location: " . dirname($_SERVER['PHP_SELF']) . "/view.php?feed=$feed&view=$view");
}
?>
<br/>
<?php include("footer.php"); ?>
