<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose marks selected items as read (or unread)
 * @version $Revision: 548 $
 * $Id: view-action.php 548 2007-02-25 08:18:02Z kevbob $
 */

require_once "init.php";


$item_model = FOF_ModelFactory::getItemModel();
$tag_model = FOF_ModelFactory::getTagModel();

if ($_POST['action'] == 'remove_tag') {
   // retrieve item and tag from db
   $item = $item_model->fetch($_POST['item']);
   $tag  = $tag_model->fetch($_POST['tag']);

   if ($item and $tag) {
      // both item and tag exist in the db, now do the operation
      $item->removeTag($tag);
   }
}
else {

	while (list ($key, $val) = each ($_POST))
	{
      // forms have a bad habit of submitting with all fields included, we skip the blank ones ones here
      if (empty($val)) {
         continue;
      }
      
		if($val == "checked")
		{
			$item_id = substr($key, 1);
         $item = $item_model->fetch($item_id);
         
			if($_POST['action'] == 'read')
			{
            $item->setFlag(FOF_READ_FLAG);
            $item_model->save($item);
			}

			elseif($_POST['action'] == 'unread')
			{
            $item->setFlag(FOF_UNREAD_FLAG);
            $item_model->save($item);
			}
		
			elseif($_POST['action'] == 'save')
			{
            $item->setFlag(FOF_SAVED_FLAG);
            $item_model->save($item);
			}
		
			elseif($_POST['action'] == 'unsave')
			{
            $item->setFlag(FOF_READ_FLAG);
            $item_model->save($item);
			}
		}
	
		if (preg_match('/addtag_(\d+)/', $key,$match) ) {

         $item = $item_model->fetch($match[1]);
         if (!$item) {
            continue;
         }
         $tag = $tag_model->fetch($val);
         
         if (!$tag) {
            continue;
         }

         $item->addTag($tag);
		}
	}
}

// redirect to uri defined in 'return' parameter
$redir_view = new RedirectView( urldecode($_POST['return']));
$redir_view->render();

