<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose generates the default view of feed items.
 * @version $Revision: 547 $
 * $Id: view.php 547 2007-02-25 08:10:54Z kevbob $
 */

require_once 'init.php';


if (isset($_GET['view'])) {
	$view = $_GET['view'];
}
else {
	$view = 'panel';
}


$item_model = FOF_ModelFactory::getItemModel();

$item_search = fof_request2search($_REQUEST);
$item_iterator = $item_model->search($item_search);
$item_iterator->rewind();

// if there are no results, then redirect back to panel
if ( $view != "frames"
     and !$item_iterator->valid()) {
   header( "Location: index.php" );
   exit;
}

if( $view == "frames" ) {
   $title = "fofredux";
}
else {
   $title = fof_view_title($item_search);
}

$add_head = sprintf('<link rel="alternate" href="%s" type="application/rss+xml" title="%s"/>',
                    FOF_BASE_URL . 'rss.php?' . fof_search2queryString($item_search) . '&amp;type=rss2',
                    $title);


require_once "header.php";

if ($view != "frames") {
   
   // output menu at top of page
   $menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.noframe.php'  );
   $menu_view->render();
}


?>

<form name="items" action="view-action.php" method="post">
	<input type="hidden" name="action" />
	<input type="hidden" name="return" />
	<input type="hidden" name="item" />
	<input type="hidden" name="tag" />


<?php
	$links = fof_get_nav_links($item_search);
?>
<div class="feed_control">
 <div class="dateorder">
 
 <?php if ($item_search->getSortOrder() == 'asc'):
       $reverse_search = clone($item_search);
       $reverse_search->setSortOrder('desc');
       $reverse_view_uri = fof_search2queryString($reverse_search, false);
       ?> 
   <span class="orderoption">old to new</span>

   <a class="orderoption"
   href="view.php?<?php echo $reverse_view_uri; ?>&amp;view=<?php echo $view; ?>">new to old</a>
 <?php else:   ?>
 <?php
       $reverse_search = clone($item_search);
       $reverse_search->setSortOrder('asc');
       $reverse_view_uri = fof_search2queryString($reverse_search, true);
       ?> 

   <a class="orderoption"
   href="view.php?<?php echo $reverse_view_uri; ?>&amp;view=<?php echo $view; ?>">old to new</a>
   <span class="orderoption">new to old</span>
 <?php endif; ?>
 </div>

 <?php   if ($links): ?>
      <div class="nav"><?php echo $links; ?></div>
      <div class="mark_read"><a href="javascript:flag_all();mark_read()">mark all items as read</a></div>
</div>
 <?php endif; ?>

<?php
//render select box for tags
$tag_select = "<select class=\"tag_select\" name=\"%s\">\n";
$tag_select .= "<option value=\"\">Attach a tag</option>";

$tag_model =& FOF_ModelFactory::getTagModel();

$tag_iterator = $tag_model->getTags();
$tag_iterator->rewind();


while ($tag_iterator->valid() ) {
	$tag = $tag_iterator->current();
	$tag_select .= sprintf("<option value=\"%d\">%s</option>",$tag->getId(), $tag->getName());
	$tag_iterator->next();
}
$tag_select .= "</select>\n";


// render item list

while ( $item_iterator->valid() ) {
	
   // get current element from iterator and skip to next one
   $item = $item_iterator->current();
   $item_iterator->next();

	include("view/feed_item.php");
}
                           ?>

</form>
 <div class="dateorder">
 
 <?php if ($item_search->getSortOrder() == 'asc'):
       $reverse_search = clone($item_search);
       $reverse_search->setSortOrder('desc');
       $reverse_view_uri = fof_search2queryString($reverse_search, true);
       ?> 
   <span class="orderoption">old to new</span>

   <a class="orderoption"
   href="view.php?<?php echo $reverse_view_uri; ?>&amp;view=<?php echo $view; ?>">new to old</a>
 <?php else:   ?>
 <?php
       $reverse_search = clone($item_search);
       $reverse_search->setSortOrder('asc');
       $reverse_view_uri = fof_search2queryString($reverse_search, true);
       ?> 

   <a class="orderoption"
   href="view.php?<?php echo $reverse_view_uri; ?>&amp;view=<?php echo $view; ?>">old to new</a>
   <span class="orderoption">new to old</span>
 <?php endif; ?>
 </div>


 <?php	if ($links): ?>
		<div class="nav"><?php echo $links; ?></div>
 <?php endif; ?>


<?php include("footer.php"); ?>

